using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 工单行业修改记录
/// </summary>
[Description("工单行业修改记录")]
public class IndustryChangeRecord : CreationSoftDeleteEntity
{
    /// <summary>
    /// 关联工单编号
    /// </summary>    
    [SugarColumn(ColumnDescription = "关联工单编号")]
    public string OrderId { get; set; }

    /// <summary>
    /// 操作人
    /// </summary>
    [SugarColumn(ColumnDescription = "操作人")]
    public string OperatorId { get; set; }

    /// <summary>
    /// 操作人
    /// </summary>
    [SugarColumn(ColumnDescription = "操作人")]
    public string OperatorName { get; set; }

    /// <summary>
    /// 原行业类型
    /// </summary>
    [SugarColumn(ColumnDescription = "原行业类型")]
    public string OriginalIndustryName{get;set;}

    /// <summary>
    /// 原行业类型ID
    /// </summary>
    [SugarColumn(ColumnDescription = "原行业类型ID")]
    public string OriginalIndustryId { get; set; }

    /// <summary>
    /// 新行业类型
    /// </summary>
    [SugarColumn(ColumnDescription = "新行业类型")]
    public string NewIndustryName { get; set; }

    /// <summary>
    /// 新行业类型ID
    /// </summary>
    [SugarColumn(ColumnDescription = "新行业类型ID")]
    public string NewIndustryId { get; set; }

}
